import { resetCss, previewCss } from "../card/previewTemp";

const paperCss = `.paper-page{color:#000}.paper-page.is-view .page-box{margin-top:10px;margin-bottom:10px}.paper-page .page-box-A3.page-box-0 .page-main-inner{padding:60px 40px 60px 160px}.paper-page .page-box-A3.page-box-0 .page-main-inner.page-main-noside{padding:60px}.paper-page .page-box-A3.page-box-1 .page-main-inner{padding:60px 160px 60px 40px}.paper-page .page-box-A3.page-box-1 .page-main-inner.page-main-noside{padding:60px}.paper-page .page-box-A3.page-box-1 .page-column-side{right:10px;left:auto}.paper-page .page-box-8K .page-column-side{top:40px;bottom:40px;width:110px;left:10px}.paper-page .page-box-8K.page-box-0 .page-main-inner{padding:40px 20px 40px 130px}.paper-page .page-box-8K.page-box-0 .page-main-inner.page-main-noside{padding:40px}.paper-page .page-box-8K.page-box-1 .page-main-inner{padding:40px 130px 40px 20px}.paper-page .page-box-8K.page-box-1 .page-main-inner.page-main-noside{padding:40px}.paper-page .page-box-8K.page-box-1 .page-column-side{right:10px;top:40px;left:auto}.paper-page .page-box .page-column-body{word-wrap:normal;white-space:normal}.paper-page .page-column-side{position:absolute;top:60px;bottom:60px;width:130px;left:10px;z-index:10}.paper-page .page-column-side .column-side-body{position:absolute;top:0;bottom:0;left:0;right:0;z-index:9}.paper-page .page-column-side .element-item{position:absolute}.paper-page .page-column-element .element-item::before{border:0}.elem-pane-box .elem-body{min-height:60px;position:relative}.elem-pane-box .elem-pane-box-elements{position:absolute;width:100%;height:100%;top:0;left:0;z-index:8}.elem-pane-box .elem-pane-box-element .element-item{position:absolute}.elem-rich-text{display:inline-block;white-space:pre-wrap}.elem-paper-struct{ol{padding-left:15px}li{list-style:decimal}}`;

export default (domeStr) => {
  return `
  <!DOCTYPE html>
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="viewport" content="width=device-width,initial-scale=1.0,
        maximum-scale=1.0,minimum-scale=1.0, user-scalable=no" "="">
        <meta name=" renderer" content="webkit|ie-comp|ie-stand" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
        <title>试卷</title>

      </head>
      <style>${resetCss}${previewCss}${paperCss}</style>
      <style>.rich-text{display:inline-block;vertical-align:top;line-height:20px}</style>
      <body>${domeStr}</body>
    </html>
  `;
};
