export const menuRoutes = [
  {
    path: "/card/card-manage",
    name: "CardManage",
    component: () =>
      import(/* webpackChunkName: "card" */ "../views/CardManage.vue"),
  },
  {
    path: "/card/card-head-manege",
    name: "CardHeadManage",
    component: () =>
      import(/* webpackChunkName: "card" */ "../views/CardHeadManage.vue"),
  },
  {
    path: "/card/card-head-edit/:cardHeadId?",
    name: "CardHeadEdit",
    component: () =>
      import(/* webpackChunkName: "card" */ "../views/CardHeadEdit.vue"),
  },
  // {
  //   path: "/about",
  //   name: "About",
  //   // route level code-splitting
  //   // this generates a separate chunk (about.[hash].js) for this route
  //   // which is lazy-loaded when the route is visited.
  //   component: () =>
  //     import(/* webpackChunkName: "about" */ "../views/About.vue")
  // }
];

export const otherRoutes = [
  {
    path: "/card/edit/:idType/:paperOrCardId",
    name: "CardEdit",
    component: () =>
      import(/* webpackChunkName: "card" */ "../views/CardEdit.vue"),
  },
  {
    // viewType::: view:预览,print:打印,frame:iframe嵌套
    path: "/card/preview/:cardId/:viewType",
    name: "CardPreview",
    component: () =>
      import(/* webpackChunkName: "card" */ "../views/CardPreview.vue"),
  },
  {
    path: "/card/build",
    name: "CardBuild",
    component: () =>
      import(/* webpackChunkName: "card" */ "../views/CardBuild.vue"),
  },
];
